Discards values which pass a test. [:running:] [:vhs:] [:package:] [:moon:] [:ledger:]
> Alternatives: [reject], [reject$], [rejectAt].<br>
> Similar: [map], [filter], [reject], [reduce], [accumulate].<br>
> This is part of package [extra-array].

[extra-array]: https://www.npmjs.com/package/extra-array

```javascript
array.reject$(x, ft);
// x:  an array (updated)
// ft: test function (v, i, x)
// --> x
```

```javascript
const array = require('extra-array');

var x = [1, 2, 3, 4, 5];
array.reject$(x, v => v % 2 === 1);
// [ 2, 4 ]

x;
// [ 2, 4 ]

var x = [1, 2, 3, 4, 5];
array.reject$(x, v => v % 2 === 0);
// [ 1, 3, 5 ]
```

### references

- [Data.List.filter: Haskell](https://hackage.haskell.org/package/base-4.12.0.0/docs/Data-List.html#v:filter)
- [Array.prototype.filter: MDN web docs](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/filter)
- [iterable_filter: PHP](https://www.php.net/manual/en/function.iterable-filter.php)

[:vhs:]: https://asciinema.org/a/339802
[:running:]: https://npm.runkit.com/@extra-array/reject-update
[:package:]: https://www.npmjs.com/package/@extra-array/reject-update
[:moon:]: https://www.npmjs.com/package/@extra-array/reject-update.min
[:ledger:]: https://unpkg.com/@extra-array/reject-update/
[reject]: https://github.com/nodef/extra-array/wiki/reject
[reject$]: https://github.com/nodef/extra-array/wiki/reject$
[rejectAt]: https://github.com/nodef/extra-array/wiki/rejectAt
[map]: https://github.com/nodef/extra-array/wiki/map
[filter]: https://github.com/nodef/extra-array/wiki/filter
[reduce]: https://github.com/nodef/extra-array/wiki/reduce
[accumulate]: https://github.com/nodef/extra-array/wiki/accumulate
